# Retrieves a paginated list of categories based on the batch request

Returns a paginated list of the possible categories that a ticket can have.

Endpoint: POST /tickets/categories
Version: v3
Security: oauth2

## Security:

  - `oauth2` (unknown)
    oauth2

## Request fields (application/json):

  - `sortSpecifications` (array)

  - `sortSpecifications.field` (string, required)

  - `sortSpecifications.sort` (null | string)

  - `sortSpecifications.isSortDescending` (boolean)

  - `filterSpecifications` (array)

  - `filterSpecifications.field` (string, required)

  - `filterSpecifications.operator` (string, required)

  - `filterSpecifications.value` (any)

  - `filterSpecifications.filterConditionOperator` (any)

  - `page` (null | integer)

  - `pageSize` (null | integer)

## Response 200:

  - `200` (unknown)
    List of paginated ticket categories.

## Response 200 fields (application/json):

  - `before` (integer)

  - `after` (integer)

  - `total` (integer)

  - `items` (array)

  - `items.id` (string)
    Gets or sets the ticket category id.

  - `items.name` (null | string)
    Gets or sets the category name.

  - `items.isActive` (boolean)
    Gets or sets a value indicating whether the category is active or not.

  - `items.locations` (null | array)
    Gets or sets the list of locations associated with the ticket category.

